// walker_View.h : interface of the CWalker_View class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_WALKER_VIEW_H__D0D2698C_A1A3_11D6_9FB6_002018540C37__INCLUDED_)
#define AFX_WALKER_VIEW_H__D0D2698C_A1A3_11D6_9FB6_002018540C37__INCLUDED_

#include "Serial.h"	// Added by ClassView
#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Walker_Robot_Tripod.h"

class CWalker_View : public CView
{
protected: // create from serialization only
	CWalker_View();
	DECLARE_DYNCREATE(CWalker_View)

// Attributes
public:
	CWalker_Doc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CWalker_View)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CWalker_View();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	Walker_Robot_Tripod* robot;
	serialCL serial;
	//{{AFX_MSG(CWalker_View)
	afx_msg void OnMoveFront();
	afx_msg void OnMoveRear();
	afx_msg void OnRotateLeft();
	afx_msg void OnRotateRight();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in walker_View.cpp
inline CWalker_Doc* CWalker_View::GetDocument()
   { return (CWalker_Doc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_WALKER_VIEW_H__D0D2698C_A1A3_11D6_9FB6_002018540C37__INCLUDED_)
